%global realname riak_kv
%global upstream basho
%global debug_package %{nil}
%global git_tag 0400120
%global patchnumber 0


Name:		erlang-%{realname}
Version:	1.2.1
Release:	2.p3%{?dist}
Summary:	Riak Key/Value Store
Group:		Development/Languages
License:	ASL 2.0
URL:		https://github.com/basho/riak_kv
# wget --content-disposition https://github.com/basho/riak_kv/tarball/1.2.1p3
Source0:	%{upstream}-%{realname}-%{version}p3-%{patchnumber}-g%{git_tag}.tar.gz
# Fedora/EPEL specific patch
Patch1:		erlang-riak_kv-0001-Don-t-check-for-deps-Fedora-EPEL-specific.patch
# Fedora/EPEL specific patch
Patch2:		erlang-riak_kv-0002-Use-system-wide-mochijson2.patch
# Will be proposed for inclusion to upstream
Patch3:		erlang-riak_kv-0003-Guard-eunit-include-to-prevent-automatic-dependency-.patch
# Sent upstream - https://github.com/basho/riak_kv/pull/409
Patch4:		erlang-riak_kv-0004-No-such-function-riak_kv_keys_fsm-start_link-6.patch
# Sent upstream - https://github.com/basho/riak_kv/pull/410
Patch5:		erlang-riak_kv-0005-No-shuch-function-luke_flow-add_inputs-1.patch
# Backported from upstream
Patch6:		erlang-riak_kv-0006-Fix-stats-for-r15b02-due.patch
# TEMPORARY disable test which fails in Koji
Patch7:		erlang-riak_kv-0007-TEMPORARY-remove-test-which-fails-in-Koji-but-runs-f.patch
BuildRequires:	erlang-bitcask
BuildRequires:	erlang-ebloom
BuildRequires:	erlang-eleveldb
BuildRequires:	erlang-js
BuildRequires:	erlang-luke
BuildRequires:	erlang-rebar
BuildRequires:	erlang-riak_api
BuildRequires:	erlang-riak_client
BuildRequires:	erlang-riak_core
BuildRequires:	erlang-riak_pipe
BuildRequires:	erlang-sext
# Error:erlang(dtrace:init/0)
Requires: erlang-bitcask%{?_isa}
Requires: erlang-cluster_info%{?_isa}
Requires: erlang-crypto%{?_isa}
Requires: erlang-ebloom%{?_isa}
Requires: erlang-eleveldb%{?_isa}
Requires: erlang-erts%{?_isa}
Requires: erlang-eunit%{?_isa}
Requires: erlang-folsom%{?_isa}
Requires: erlang-inets%{?_isa}
Requires: erlang-js%{?_isa}
Requires: erlang-kernel%{?_isa}
Requires: erlang-lager%{?_isa}
Requires: erlang-luke%{?_isa}
Requires: erlang-mochiweb%{?_isa}
Requires: erlang-os_mon%{?_isa}
Requires: erlang-riak_api%{?_isa}
Requires: erlang-riak_core%{?_isa}
Requires: erlang-riak_pb%{?_isa}
Requires: erlang-riak_pipe%{?_isa}
Requires: erlang-runtime_tools%{?_isa}
Requires: erlang-sext%{?_isa}
Requires: erlang-stdlib%{?_isa}
Requires: erlang-webmachine%{?_isa}


%description
Riak Key/Value Store.


%prep
%setup -q -n %{upstream}-%{realname}-db304cd
%patch1 -p1 -b .nodeps
%patch2 -p1 -b .systemwide_mochijson2
%patch3 -p1 -b .noeunit
%patch4 -p1 -b .fix_fun
%patch5 -p1 -b .fix_fun2
%patch6 -p1 -b .r15b02
%patch7 -p1 -b .temporary
# remove bundled rebar copy - just to be absolutely sure
rm -f ./rebar


%build
rebar compile -v


%install
mkdir -p %{buildroot}%{_libdir}/erlang/lib/%{realname}-%{version}/{ebin,include,priv}
install -p -m 0644 ebin/%{realname}.app %{buildroot}%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/
install -p -m 0644 ebin/*.beam %{buildroot}%{_libdir}/erlang/lib/%{realname}-%{version}/ebin
install -p -m 0644 include/*.hrl %{buildroot}%{_libdir}/erlang/lib/%{realname}-%{version}/include
install -p -m 0644 src/riak_kv_wm_raw.hrl %{buildroot}%{_libdir}/erlang/lib/%{realname}-%{version}/include
install -p -m 0755 priv/mapred_builtins.js %{buildroot}%{_libdir}/erlang/lib/%{realname}-%{version}/priv/


%check
# Clean up beam-files to suppress lots of warnings
rm -f ebin/*.beam
# Several tests requires epmd to run
epmd -daemon
rebar eunit -v
epmd -kill


%files
%dir %{_libdir}/erlang/lib/%{realname}-%{version}
%dir %{_libdir}/erlang/lib/%{realname}-%{version}/ebin
%dir %{_libdir}/erlang/lib/%{realname}-%{version}/include
%dir %{_libdir}/erlang/lib/%{realname}-%{version}/priv
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/%{realname}.app
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/*.beam
%{_libdir}/erlang/lib/%{realname}-%{version}/include/*.hrl
%{_libdir}/erlang/lib/%{realname}-%{version}/priv/mapred_builtins.js


%changelog
* Sun Nov 18 2012 Peter Lemenkov <lemenkov@gmail.com> - 1.2.1-2.p3
- Ver. 1.2.1p3

* Sat Oct 27 2012 Peter Lemenkov <lemenkov@gmail.com> - 1.2.1-1.p2
- Ver. 1.2.1p2

* Sun Aug 05 2012 Peter Lemenkov <lemenkov@gmail.com> - 1.1.4-1
- Ver. 1.1.4 (security bugfix)

* Tue Jun 19 2012 Peter Lemenkov <lemenkov@gmail.com> - 1.1.2-1
- Ver. 1.1.2

* Sat Feb 26 2011 Peter Lemenkov <lemenkov@gmail.com> - 0.14.1-1
- Ver. 0.14.1

* Sun Jan 23 2011 Peter Lemenkov <lemenkov@gmail.com> - 0.14.0-1
- Ver. 0.14.0

* Fri Nov 12 2010 Peter Lemenkov <lemenkov@gmail.com> - 0.13.0-1
- Initial build

